%define module  Class-Accessor
%define name    perl-%{module}
%define version 0.27
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Automated accessor generation
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Class/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This module automagically generates accessor/mutators for your class.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Class
%{_mandir}/man3/*

%changelog
* Wed Aug 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.27-1mdv2007.0
- New version 0.27
- fic directory ownership
- better sumary

* Fri Mar 31 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.25-1mdk
- 0.25
- Add tests

* Fri Mar 31 2006 Buchan Milne <bgmilne@mandriva.org> 0.22-2mdk
- Rebuild
- use mkrel

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdk
- New release 0.22

* Thu Nov 16 2004 Oden Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.19-1mdk
- initial contrib.
